Loading...
Searching...
No Matches
row_col_weight Class Reference

## Public Member Functions

| row_col_weight ()
| row_col_weight (int, int)
| ~row_col_weight ()

## Data Fields

float * | wrow
float * | wcol

## Private Attributes

int | ym
int | yn

## Detailed Description

Definition at line 882 of file matpol.cc.

## Constructor & Destructor Documentation

## row_col_weight() [1/2]

row_col_weight::row_col_weight | ( |  | ) |

inline

Definition at line 888 of file matpol.cc.

: ym(0) {}
row_col_weight::ym
int ym
Definition matpol.cc:885

## row_col_weight() [2/2]

row_col_weight::row_col_weight | ( | int | i,
|  | int | j )

Definition at line 893 of file matpol.cc.

{
ym = i;
yn = j;
wrow = (float *)omAlloc(i*sizeof(float));
wcol = (float *)omAlloc(j*sizeof(float));
}
i
int i
Definition cfEzgcd.cc:132
row_col_weight::yn
int yn
Definition matpol.cc:885
row_col_weight::wcol
float * wcol
Definition matpol.cc:887
row_col_weight::wrow
float * wrow
Definition matpol.cc:887
j
int j
Definition facHensel.cc:110
omAlloc
#define omAlloc(size)
Definition omAllocDecl.h:210

## ~row_col_weight()

row_col_weight::~row_col_weight | ( |  | ) |

Definition at line 900 of file matpol.cc.

{
if (ym!=0)
{
omFreeSize((ADDRESS)wcol, yn*sizeof(float));
omFreeSize((ADDRESS)wrow, ym*sizeof(float));
}
}
ADDRESS
void * ADDRESS
Definition auxiliary.h:120
omFreeSize
#define omFreeSize(addr, size)
Definition omAllocDecl.h:260

## Field Documentation

## wcol

float * row_col_weight::wcol

Definition at line 887 of file matpol.cc.

## wrow

float* row_col_weight::wrow

Definition at line 887 of file matpol.cc.

## ym

int row_col_weight::ym

private

Definition at line 885 of file matpol.cc.

## yn

int row_col_weight::yn

private

Definition at line 885 of file matpol.cc.

The documentation for this class was generated from the following file:

- libpolys/polys/matpol.cc